Sometimes new posts don't show up in the topic list of a forum.
Status: Closed Start date: 2009-05-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version: 0.8.4

Description

Sometimes, when a user posts a new topic in the forum, it will not show up in the topic list of that forum.

However, the post is shown in the "last post" box on the forums overview.

I could not reproduce it because my (admin) posts show up. But I can see that various posts are not listed for whatever reason.
Associated revisions

Revision 2787 - 2009-06-14 11:19 - Jean-Philippe Lang

Fixed: editing a message may cause sticky attribute to be NULL (#3356).

History

#1 - 2009-05-13 18:22 - Jean-Philippe Lang

Can you post the content of your database:

the row of the post that doesn't show up (select * from messages where id=[your message id])

the row of the board it belongs to (select * from boards where id=[your board id])

And please give your Redmine revision and database version.

#2 - 2009-05-13 21:42 - Thomas P.

Redmine revision is 2737, database is mysql 5.0.51a-24 (Debian)

id   board_id  parent_id  subject  content author_id  replies_count  last_reply_id created_on           update

d_on           locked  sticky

132  2         NULL       lig...   I...    1221       1              1326          2009-05-13 14:49:55  2009-0

5-13 19:18:48  NULL    NULL

 
id  project_id  name  description  position  topics_count  messages_count  last_message_id

2   1           Su..  if you n...  1         449           1083            1327

#3 - 2009-05-13 22:25 - Stefan B

sticky NULL is the problem; it is at the end of the list (it should be 0).

#4 - 2009-05-14 18:24 - Jean-Philippe Lang

This field should have a default value of 0 in your database:

source:/trunk/db/migrate/083_add_messages_sticky.rb

Can you check this?

#5 - 2009-05-14 21:28 - Stefan B

Migration script is valid, db/schema.rb too, even checked mysql db:

mysql> describe messages;

+---------------+--------------+------+-----+---------+----------------+

| Field         | Type         | Null | Key | Default | Extra          |

+---------------+--------------+------+-----+---------+----------------+

[...]
| sticky        | int(11)      | YES  |     | 0       |                |

+---------------+--------------+------+-----+---------+----------------+

 update messages set sticky=0 where sticky is null; fixed the issues temporarily yesterday, but there already new broken topics:

mysql> select id, board_id, parent_id, created_on, updated_on, sticky from messages where sticky is null;

+------+----------+-----------+---------------------+---------------------+--------+

| id   | board_id | parent_id | created_on          | updated_on          | sticky |

+------+----------+-----------+---------------------+---------------------+--------+

| 1340 |        2 |      1328 | 2009-05-14 08:06:48 | 2009-05-14 08:07:42 |   NULL |

| 1341 |        2 |      NULL | 2009-05-14 10:15:43 | 2009-05-14 10:36:46 |   NULL |

| 1345 |        2 |      NULL | 2009-05-14 14:18:48 | 2009-05-14 14:23:50 |   NULL |

+------+----------+-----------+---------------------+---------------------+--------+

3 rows in set (0.00 sec)

#6 - 2009-05-18 18:45 - Stefan B

We hunted the bug...

Create a new topic, reply to it. Edit the reply. => sticky = NULL

Editing the first post works, only editing the reply is broken.

#7 - 2009-06-14 11:20 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Affected version (unused) changed from devel to 0.8.4

- Resolution set to Fixed

- Affected version set to 0.8.4

Fixed in r2787. Thanks for pointing this out.

Files

forumsbug1.tiff 23.4 KB 2009-05-13 Thomas P.

forumsbug2.tiff 33.4 KB 2009-05-13 Thomas P.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/2787
http://www.tcpdf.org

